package org.dromara.system.controller;

import cn.hutool.core.util.StrUtil;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.satoken.utils.LoginHelper;
import org.dromara.common.web.core.BaseController;
import org.dromara.system.service.ISysDataScopeService;

public class TblBaseController extends BaseController {




    public void getDepts( ISysDataScopeService dataScopeService,BaseEntity  entity)
    {
        if(entity!=null &&entity.getParams()!=null && LoginHelper.getLoginUser()!=null && LoginHelper.getLoginUser().getDeptId()!=null){
          String depts =   dataScopeService.getDeptAndChild(LoginHelper.getLoginUser().getDeptId());
          if(LoginHelper.isSuperAdmin()||LoginHelper.isTenantAdmin()||LoginHelper.getLoginUser().getDeptId().equals(100L)|| StrUtil.isEmptyIfStr(depts)){

          }else{
              if(entity.getParams().get("depts")!=null){
                  entity.getParams().put("depts",depts+","+entity.getParams().get("depts"));
              }else{
                  entity.getParams().put("depts",depts);
              }
          }

        }
    }
}
